Skip to content

Bind Automation Slack Channel

POST
/api/automations/slack/bind
curl --request POST \
--url https://example.com/api/automations/slack/bind \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "environment": "dev", "channel_id": "example", "team_id": "example", "channel_name": "example", "channel_url": "example", "automation_alias": "example", "metadata": {} }'
Media typeapplication/json
AutomationSlackBindRequest
object
environment
Environment
string
default: dev
channel_id
required
Channel Id
string
team_id
Any of:
string
channel_name
Any of:
string
channel_url
Any of:
string
automation_alias
Any of:
string
metadata
Metadata
object
key
additional properties
any

Successful Response

Media typeapplication/json
Examplegenerated
example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}